/******************************************************************************
 * Project JKobo
 * XKobo arcade style game
 *
 * Copyright (C) 1997 John "Jake" Wetzel All Rights Reserved
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 *****************************************************************************/

/***************************** FILE INFORMATION ******************************
 * NAME OF FILE 	  : EnemyDefines.java
 * CONCEPT & ARCHITECTURE : Akira Higuchi
 * MAIN PROGRAMMER	  : Jake Wetzel
 * DATE CREATED 	  : 10-25-98
 * DESCRIPTION		  :
 * CHANGE LOG		  :
 *	  WHO		  WHEN			  WHY
 *	  ---		  ----			  ---
 *
 *****************************************************************************/

/******************************* IMPORT FILES ********************************/

interface EnemyDefines
{

/******************************** GLOBAL DATA ********************************/

  /* Enemy Kinds */
  static final int UNKNOWN   = -1;
  static final int BEAM      =	0;
  static final int EXPLOSION =	1;
  static final int ENEMY1    =	2;
  static final int ENEMY2    =	3;
  static final int ENEMY3    =	4;
  static final int ENEMY4    =	5;
  static final int ENEMY5    =	6;
  static final int ENEMY6    =	7;
  static final int ENEMY7    =	8;
  static final int BOMB1     =	9;
  static final int BOMB2     = 10;
  static final int CANNON    = 11;
  static final int ECORE     = 12;
  static final int PIPE1     = 13;
  static final int PIPE2     = 14;
  static final int ROCK      = 15;
  static final int RING      = 16;
  static final int ENEMY_M1  = 17;
  static final int ENEMY_M2  = 18;
  static final int ENEMY_M3  = 19;
  static final int ENEMY_M4  = 20;

  static final int ENEMY_KINDS = 21;

  /* enemy state enumeration */
  static final int NOTUSE   = 0;
  static final int RESERVED = 1;
  static final int MOVING   = 2;

/**************************** FUNCTION DECLARATIONS  *************************/

}  /* END OF INTERFACE : EnemyDefines */


/* END OF FILE : EnemyDefines.java */

