/******************************************************************************
 * Project JKobo
 * XKobo arcade style game
 *
 * Copyright (C) 1997 John "Jake" Wetzel All Rights Reserved
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 *****************************************************************************/

/***************************** FILE INFORMATION ******************************
 * NAME OF FILE 	  : GlobalDefines.java
 * CONCEPT & ARCHITECTURE : Akira Higuchi
 * MAIN PROGRAMMER	  : Jake Wetzel
 * DATE CREATED 	  : 10-25-98
 * DESCRIPTION		  :
 * CHANGE LOG		  :
 *	  WHO		  WHEN			  WHY
 *	  ---		  ----			  ---
 *
 *****************************************************************************/

/******************************* IMPORT FILES ********************************/

import java.util.Random;

interface GlobalDefines
{

/******************************** GLOBAL DATA ********************************/

  static final int ENEMY_MAX = 1024;
  static final int BEAM_MAX  = 10;

  static final int HIT_BEAM   = 5;
  static final int HIT_MYSHIP = 5;

  static final int SHIFT = 6;

  static final int WSIZE  = 226;
  static final int MARGIN = 12;

  static final int WSCORE_SIZEX = 250;
  static final int WSCORE_SIZEY = 240;

  static final int MAP_SIZEX_LOG2      = 6;
  static final int MAP_SIZEY_LOG2      = 7;
  static final int SPRITE_SIZEX_LOG2   = 4;
  static final int SPRITE_SIZEY_LOG2   = 4;

/**************************** FUNCTION DECLARATIONS  *************************/

}  /* END OF INTERFACE : GlobalDefines */


/* END OF FILE : GlobalDefines.java */

