/******************************************************************************
 * Project JKobo
 * XKobo arcade style game
 *
 * Copyright (C) 1997 John "Jake" Wetzel All Rights Reserved
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 *****************************************************************************/

/***************************** FILE INFORMATION ******************************
 * NAME OF FILE 	  : MapDefines.java
 * CONCEPT & ARCHITECTURE : Akira Higuchi
 * MAIN PROGRAMMER	  : Jake Wetzel
 * DATE CREATED 	  : 10-25-98
 * DESCRIPTION		  :
 * CHANGE LOG		  :
 *	  WHO		  WHEN			  WHY
 *	  ---		  ----			  ---
 *
 *****************************************************************************/

/******************************* IMPORT FILES ********************************/

interface MapDefines
{

  static final int SITE_MAX = 1024;
  static final int SPACE    = 0;
  static final int WALL     = 1;
  static final int U_MASK   = (1<<0);
  static final int R_MASK   = (1<<1);
  static final int D_MASK   = (1<<2);
  static final int L_MASK   = (1<<3);
  static final int CORE     = (1<<4);
  static final int HARD     = (1<<5);
  static final int HIT_MASK = (CORE | U_MASK | R_MASK | D_MASK | L_MASK);

/******************************** GLOBAL DATA ********************************/


/**************************** FUNCTION DECLARATIONS  *************************/

}  /* END OF INTERFACE : MapDefines */


/* END OF FILE : MapDefines.java */

