/******************************************************************************
 * Project JKobo
 * XKobo arcade style game
 *
 * Copyright (C) 1997 John "Jake" Wetzel All Rights Reserved
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 *****************************************************************************/

/***************************** FILE INFORMATION ******************************
 * NAME OF FILE 	  : TimerThread.java
 * CONCEPT & ARCHITECTURE : Akira Higuchi
 * MAIN PROGRAMMER	  : Jake Wetzel
 * DATE CREATED 	  : 10-25-98
 * DESCRIPTION		  :
 * CHANGE LOG		  :
 *	  WHO		  WHEN			  WHY
 *	  ---		  ----			  ---
 *
 *****************************************************************************/

/******************************* IMPORT FILES ********************************/

import java.lang.InterruptedException;
import java.lang.Thread;

import Manage;


class TimerThread extends Thread
{

/******************************** GLOBAL DATA ********************************/

  Manage man;
  long wait;

/**************************** FUNCTION DECLARATIONS  *************************/

/***************************** MODULE INFORMATION ****************************
 * NAME OF MODULE : TimerThread
 * DESCRIPTION	  :
 *****************************************************************************/
  TimerThread(Manage manage, long t)
  {
    super("TimerThread");
    man = manage;
    wait = t;
  }

/***************************** MODULE INFORMATION ****************************
 * NAME OF MODULE : run
 * DESCRIPTION	  :
 *****************************************************************************/
  public void run()
  {

    while(true)
      {
	man.setLoopState();
	try {
	  sleep(wait);
	}
	catch(InterruptedException e) {
	  System.err.println("killing thread ...");
	  return;
	}
      }

  }

}  /* END OF CLASS : TimerThread */


/* END OF FILE : TimerThread.java */

